#include<bits/stdc++.h>
using namespace std;

int main(){
	int n;
	cin >> n;
	double a[n],p[n],x[n],mx;
	mx = 0.0;
	for (int i = 0; i < n; i++){
		cin >> a[i];
		cin >> p[i];
	}
	for (int i = 0; i < n; i++){
		x[i] = 0.0;
		for (int j = 0; j < n; j++){
			x[i] = x[i]+a[j]*(p[i]/100.0);
			if (p[j] < p[i]){
				x[i] = x[i]-a[j]*(p[i]/100.0);
			}
		}
		if (x[i] > mx){
			mx = x[i];
		}
	}
	cout << fixed << showpoint << setprecision(3) << mx;
}